Chromium Code Reviews
chromiumcodereview-hr@appspot.gserviceaccount.com (chromiumcodereview-hr) | Please choose your nickname with Settings | Help | Chromium Project | Gerrit Changes | Sign out
(1023)

Unified Diff: packages/html/test/run.sh

Issue 1400473008: Roll Observatory packages and add a roll script (Closed) Base URL: git@github.com:dart-lang/observatory_pub_packages.git@master
Patch Set: Created 5 years, 2 months ago
Use n/p to move between diff chunks; N/P to move between comments. Draft comments are only viewable by you.
Jump to:
View side-by-side diff with in-line comments
Download patch
« no previous file with comments | « packages/html/test/parser_test.dart ('k') | packages/html/test/run_all.dart » ('j') | no next file with comments »
Expand Comments ('e') | Collapse Comments ('c') | Show Comments Hide Comments ('s')
Index: packages/html/test/run.sh
diff --git a/packages/html/test/run.sh b/packages/html/test/run.sh
new file mode 100755
index 0000000000000000000000000000000000000000..c060bd7545c2cabf0bc49972fbc57bb4e217c095
--- /dev/null
+++ b/packages/html/test/run.sh
@@ -0,0 +1,22 @@
+#!/bin/bash
+# Copyright (c) 2012, the Dart project authors. Please see the LICENSE file
+# for details. All rights reserved. Use of this source code is governed by a
+# MIT-style license that can be found in the LICENSE file.
+
+# bail on error
+set -e
+
+# TODO(sigmund): replace with a real test runner
+DIR=$( cd $( dirname "${BASH_SOURCE[0]}" ) && pwd )
+
+# Note: dart_analyzer needs to be run from the root directory for proper path
+# canonicalization.
+pushd $DIR/..
+# TODO(jmesserly): switch to new analyzer. Note: it's missing a lot of the
+# tests for implemented members; we should get that fixed before switching.
+echo Analyzing library for warnings or type errors
+dartanalyzer --fatal-warnings lib/*.dart || \
+ echo "ignore analyzer errors"
+popd
+
+dart --checked test/run_all.dart $@
« no previous file with comments | « packages/html/test/parser_test.dart ('k') | packages/html/test/run_all.dart » ('j') | no next file with comments »

Powered by Google App Engine
This is Rietveld 408576698